Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class GroovyPageCompilerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.grails.web.pages.GroovyPageCompilerTask

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class GroovyPageCompilerTask

extends org.apache.tools.ant.taskdefs.MatchingTask
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GroovyPageCompilerTask()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`org.apache.tools.ant.types.Path` | `createClasspath()`
`void` | `execute()`
`org.apache.tools.ant.types.Path` | `getClasspath()`
`File` | `getDestdir()`
`String` | `getEncoding()`
`groovy.lang.MetaClass` | `getMetaClass()`
`String` | `getPackagename()`
`Object` | `getProperty(String property)`
`String` | `getServerpath()`
`File` | `getSrcdir()`
`File` | `getTmpdir()`
`boolean` | `getVerbose()`
`Object` | `invokeMethod(String method, Object arguments)`
`boolean` | `isVerbose()`
`void` | `setClasspath(org.apache.tools.ant.types.Path value)`
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setDestdir(File value)`
`void` | `setEncoding(String value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setPackagename(String value)`
`void` | `setProperty(String property, Object value)`
`void` | `setServerpath(String value)`
`void` | `setSrcdir(File value)`
`void` | `setTmpdir(File value)`
`void` | `setVerbose(boolean value)`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageCompilerTask

    public GroovyPageCompilerTask()

Method Detail

### getDestdir

    public File getDestdir()

### setDestdir

    public void setDestdir(File value)

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path value)

### getSrcdir

    public File getSrcdir()

### setSrcdir

    public void setSrcdir(File value)

### getTmpdir

    public File getTmpdir()

### setTmpdir

    public void setTmpdir(File value)

### getPackagename

    public String getPackagename()

### setPackagename

    public void setPackagename(String value)

### getServerpath

    public String getServerpath()

### setServerpath

    public void setServerpath(String value)

### getEncoding

    public String getEncoding()

### setEncoding

    public void setEncoding(String value)

### getVerbose

    public boolean getVerbose()

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean value)

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project